--Run some queries against the tables to be migrated and record the performance
USE AdventureWorks2016CTP3
GO

SELECT ot.SalesOrderID, ot.CarrierTrackingNumber, ot.OrderTrackingID, ot.TrackingEventID, te.EventName, ot.EventDetails, ot.EventDateTime
FROM Sales.OrderTracking ot JOIN Sales.TrackingEvent te ON ot.TrackingEventID = te.TrackingEventID
ORDER BY ot.SalesOrderID, ot.TrackingEventID;

--ԱSQL Server 2016򿪹鵵
EXEC sp_configure 'remote data archive' , '1';
RECONFIGURE;


--ƶAzure SQL Databaseû룬мܣܵͬSQL Database룺
USE Adventureworks2016CTP3;
CREATE MASTER KEY ENCRYPTION BY PASSWORD='Abc@123456'
CREATE DATABASE SCOPED CREDENTIAL AzureDBCred WITH IDENTITY = 'sqladmin', SECRET = 'Abc@123456';


--صSQL Server 2016Ĺ鵵Ŀָ꣬΢SQL Database Server(l3cq1dckpd.database.chinacloudapi.cn)
--l3cq1dckpd.database.chinacloudapi.cn׼Уµķ
ALTER DATABASE [AdventureWorks2016CTP3] SET REMOTE_DATA_ARCHIVE = ON 
(SERVER = 'l3cq1dckpd.database.chinacloudapi.cn', CREDENTIAL = AzureDBCred);


--	Migrate an entire table, Specify MIGRATION_STATE = OUTBOUND to start data migration immediately 
ALTER TABLE Sales.OrderTracking SET (REMOTE_DATA_ARCHIVE = ON (MIGRATION_STATE = OUTBOUND));

--鿴鵵ǨƵĽ
SELECT * from sys.dm_db_rda_migration_status

-----------------------------------------------------------------------------------------------------
USE AdventureWorks2016CTP3
GO
--ʾк
EXEC sp_spaceused 'Sales.OrderTracking', 'true', 'LOCAL_ONLY';
GO

--ʾƶStretch Databaseк
EXEC sp_spaceused 'Sales.OrderTracking', 'true', 'REMOTE_ONLY';
GO


---Ա
INSERT INTO [Sales].[OrderTracking]
([SalesOrderID],[CarrierTrackingNumber],[TrackingEventID],[EventDetails],[EventDateTime])
VALUES('6666','046DFAA-F901-442A-9D09-67',1,'This Data is generated by Lei Zhang',GetDate())


--
SELECT * FROM [Sales].[OrderTracking] WHERE [SalesOrderID]='6666'


--仰ᱨ
UPDATE [Sales].[OrderTracking] SET [CarrierTrackingNumber]='6666' WHERE [EventDetails]='This Data is generated by Lei Zhang'

-----------------------------------------------------------------------------------------------------

--Disable Stretch Database and bring back remote data
ALTER TABLE Sales.OrderTracking SET (REMOTE_DATA_ARCHIVE (MIGRATION_STATE = INBOUND));


--Run the same queries during the migration and record the performance
SELECT ot.SalesOrderID, ot.CarrierTrackingNumber, ot.OrderTrackingID, ot.TrackingEventID, te.EventName, ot.EventDetails, ot.EventDateTime
FROM Sales.OrderTracking ot JOIN Sales.TrackingEvent te ON ot.TrackingEventID = te.TrackingEventID
ORDER BY ot.SalesOrderID, ot.TrackingEventID;